cURL
curl --request PUT \
--url https://api.rownd.io/applications/{app}/users/{user}/data/fields/{field} \
--header 'Content-Type: multipart/form-data' \
--header 'x-rownd-app-key: <api-key>' \
--header 'x-rownd-app-secret: <api-key>' \
--form 'value=<string>'import requests
url = "https://api.rownd.io/applications/{app}/users/{user}/data/fields/{field}"
payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"value\"\r\n\r\n<string>\r\n-----011000010111000001101001--"
headers = {
"x-rownd-app-key": "<api-key>",
"x-rownd-app-secret": "<api-key>",
"Content-Type": "multipart/form-data"
}
response = requests.put(url, data=payload, headers=headers)
print(response.text)const form = new FormData();
form.append('value', '<string>');
const options = {
method: 'PUT',
headers: {'x-rownd-app-key': '<api-key>', 'x-rownd-app-secret': '<api-key>'}
};
options.body = form;
fetch('https://api.rownd.io/applications/{app}/users/{user}/data/fields/{field}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rownd_user": "user_a7b53gwdaml5jt7t71442nt7",
"state": "enabled",
"auth_level": "verified",
"attributes": {
"rownd:app_variants": [
"app_variant_1",
"app_variant_2"
],
"myapp:subscription_status": [
"active"
],
"myapp:loyalty_points": [
"100"
]
},
"data": {
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
},
"verified_data": {
"email": "gary@foo.com",
"phone_number": "+19199993333"
},
"groups": [
{
"group": {
"id": "group_a3l1n2lsnb3q0xbul9enjnh7",
"name": "My Teammates",
"member_count": 0,
"app_id": "327677849595019856",
"admission_policy": "invite_only",
"meta": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"updated_by": "user_t6ftnnmw55pamuhfo9xvw0yl",
"created_by": "user_t6ftnnmw55pamuhfo9xvw0yl"
},
"member": {
"user_id": "user_fbylaq38591cghym5pabupj2",
"roles": [
"owner",
"editor"
],
"id": "member_dnn5g4e3q6aptail2gr43kpj",
"invited_by": "<string>",
"added_by": "<string>",
"profile": {
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
},
"group_id": "group_ig42thhwf4cig25o7t9jtlyu"
}
}
],
"meta": {
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"first_sign_in": "2023-11-07T05:31:56Z",
"first_sign_in_method": "<string>",
"last_sign_in": "2023-11-07T05:31:56Z",
"last_sign_in_method": "<string>",
"last_active": "2023-11-07T05:31:56Z",
"last_passkey_registration_prompt": "2023-11-07T05:31:56Z"
},
"connection_map": {}
}User Profiles
Update one field in a user profile
Update the value of one field in a user profile
PUT
/
applications
/
{app}
/
users
/
{user}
/
data
/
fields
/
{field}
cURL
Authorizations
appKey & appSecrethubAccessTokenForRowndApi
The publishable key of your application credentials. (more details)
The private secret of your application credentials. (more details)
Path Parameters
Rownd application ID
The name of a field in your application schema
Body
multipart/form-dataapplication/json
Response
200 - application/json
The value of the data field
The user's ID
Example:
"user_a7b53gwdaml5jt7t71442nt7"
The user's state
Available options:
enabled, disabled The user's authentication level
Example:
"verified"
User profile attributes
Show child attributes
Show child attributes
Example:
{
"rownd:app_variants": ["app_variant_1", "app_variant_2"],
"myapp:subscription_status": ["active"],
"myapp:loyalty_points": ["100"]
}
User profile data
Example:
{
"user_id": "user_a7b53gwdaml5jt7t71442nt7",
"email": "gary@foo.com",
"first_name": "Gary",
"last_name": "Jackson"
}
User profile data that has been verified
Example:
{
"email": "gary@foo.com",
"phone_number": "+19199993333"
}
Groups in which the user is a member
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I